## php.java.bridge
Class StandardOptions

    java.lang.Object
      php.java.bridge.Options
          php.java.bridge.StandardOptions

    public final class StandardOptions

extends Options

Exposes the request options. There is one Options instance for each request, but certain options may change for each packet. For example if a user calls java_set_file_encoding(enc), the new file encoding becomes available in the next packet.

Author:
  jostb

Constructor Summary
`StandardOptions()`

Method Summary
`boolean` `base64Data()` Return true if we must return a base 64 encoded string due to limitations in the client's XML parser.
`boolean` `extJavaCompatibility()` Returns true, if bit 0 of the request header is set (see PROTOCOL.TXT).
`boolean` `hexNumbers()` Returns true, if exact numbers are base 16 (see PROTOCOL.TXT).
`boolean` `passContext()` Return true, if the client cannot keep a back-pointer to its own data structures.
`boolean` `sendArraysAsValues()` Returns true, if bit 1 of the request header is set (see PROTOCOL.TXT).

Methods inherited from class php.java.bridge.Options
`getBytes, getEncoding, preferValues, setEncoding, updateOptions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardOptions

    public StandardOptions()

Method Detail

### sendArraysAsValues

    public boolean sendArraysAsValues()

  Returns true, if bit 1 of the request header is set (see PROTOCOL.TXT). This option stays the same for all packets.

  Overrides:
    `sendArraysAsValues` in class `Options`
  Returns:
    the value of the request header bit 1.

### extJavaCompatibility

    public boolean extJavaCompatibility()

  Returns true, if bit 0 of the request header is set (see PROTOCOL.TXT). This options stays the same for all packets.

  Returns:
    the value of the request header

### hexNumbers

    public boolean hexNumbers()

  Returns true, if exact numbers are base 16 (see PROTOCOL.TXT). This options stays the same for all packets.

  Overrides:
    `hexNumbers` in class `Options`
  Returns:
    the value of the request header

### passContext

    public boolean passContext()

  Description copied from class: `Options`
  Return true, if the client cannot keep a back-pointer to its own data structures. This option stays the same for all packets.

  Overrides:
    `passContext` in class `Options`
  Returns:
    true if the bridge must accept and pass a context ID, false otherwise.

### base64Data

    public boolean base64Data()

  Description copied from class: `Options`
  Return true if we must return a base 64 encoded string due to limitations in the client's XML parser. This option stays the same for all packets.

  Overrides:
    `base64Data` in class `Options`
  Returns:
    true if the bridge must return strings as cdata, false otherwise.